gd_parent_fragment(3)

NAME
gd_parent_fragment — retrieve the parent fragment of a fragment in a dirfile

SYNOPSIS
#include <getdata.h>

int gd_parent_fragment(const DIRFILE *dirfile, int fragment_index);

DESCRIPTION
The gd_parent_fragment() function queries a dirfile(5) database specified by dirfile and returns the index of the fragment which contains the INCLUDE directive for the fragment indexed by fragment_index.

Since the primary format specification fragment is not included in any other fragment, passing zero for fragment_index will result in an error.

RETURN VALUE
On success, gd_parent_fragment() returns the index of the specified fragment's parent. On error, gd_parent_fragment() returns -1 and sets the dirfile error to a non-zero value. Possible error values are:

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

GD_E_BAD_INDEX
    The supplied index was out of range, or was equal to zero.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
dirfile(5), gd_include(3), gd_open(3), gd_fragmentname(3), gd_nfragments(3)